Draft Equidistancia

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Offset and the translation is 26% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft Offset.svg {{{Name/es}}}

Ubicación en el Menú
Croquis → Equidistancia
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
O S
Introducido en versión
-
Ver también
Part 2D Offset


Descripción

La herramienta Equidistancia crea una equidistacia de los objetos seleccionados a una distancia dada sobre el plano de trabajo actual. Si no se han seleccionado objetos, te invitará a seleccionar uno. Simplemente te pregunta por un punto, dando la distancia de la equidistancia de los objetos seleccionados.

Typically this tool is used in copy mode to create offset copies of a base wire while leaving this wire in the same place. The offset copies are scaled versions of the original object. To create other scaled copies use Draft Scale. To produce exact copies shifted a distance use Draft Move.

Draft Offset example.jpg

Offsetting a wire a certain distance from one of its edges


Utilización

  1. Selecciona los objetos a los que quieras crear una equidistancia
  2. Presiona el botón Draft Offset.png Equidistancia, o presiona las teclas O y S
  3. Designa un punto en la vista 3D, o escribe una distancia

The distance used to create the offset is perpendicular to one of the edges of the original shape, depending on the position of the pointer. If the pointer is moved closer to another edge, this edge now becomes the reference for the distance. Hold the Shift key to keep the current reference edge despite moving the pointer closer to other edges.

Opciones

  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, la herramienta equidistancia se reiniciará al terminar permitiendo hacer otra equidistancia o copiar objetos de nuevo sin necesidad de volver a presionar el botón de equidistancia.
  • Presionando ALT o C o seleccionando el botón Copiar se creará una copia de los objetos, en lugar de moverlos. Si mantienes presionada la tecla ALT después de seleccionar el segundo punto, podrás hacer más copias, hasta que liberes la tecla ALT.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la posición de ajuste más cercana, independientemente de la distancia.
  • Presionando SHIFT se restringirá al segmento actual en lugar de seleccionar el más cercano.
  • Presiona ESC o el botón Cancelar para abortar el comando actual.

Programación

La herramienta Equidistancia se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

Offsetobj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • Crea una equidistancia del contorno dado aplicando el vector indicado a su primer vértice.
  • Si copymode es True, se crea otro objeto, en otro caso es el mismo objeto el que se equidistancia. Si bind es True, y el contorno dado está abierto, el original y el contorno equidistante estarán enlazados por sus puntos finales, creando una cara.
  • Si sym es True, la equidistancia se crea hacia ambos lados, siendo el ancho total la longitud del vector dado.
  • Devuelve el objeto equidistante (o su copia si copymode es True).

Ejemplo:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1500, 2000, 0)
p3 = FreeCAD.Vector(4000, 0, 0)

Wire = Draft.makeWire([p1, p2, p3])

vector = FreeCAD.Vector(0, 500, 0)
Offset_1 = Draft.offset(Wire, vector, copy=True)
Offset_2 = Draft.offset(Wire, 3*vector, copy=True)
Offset_3 = Draft.offset(Wire, 6*vector, copy=True)
Offset_4 = Draft.offset(Wire, 9*vector, copy=True)
Offset_5 = Draft.offset(Wire, 1.5*vector, copy=True, occ=True)